## qtox 1.16.3

=== CMakeLists.txt ===
################################################################################
#
# :: CMake configuration
#
################################################################################

cmake_minimum_required(VERSION 2.8.11)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(PLATFORM_EXTENSIONS "Enable platform specific extensions, requires extra dependencies" ON)
option(USE_FILTERAUDIO "Enable the echo canceling backend" ON)
# AUTOUPDATE is currently broken and thus disabled
option(AUTOUPDATE "Enable the auto updater" OFF)
option(USE_CCACHE "Use ccache when available" ON)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Debug)
endif()

set(ENV{PKG_CONFIG_PATH}
  ${CMAKE_SOURCE_DIR}/libs/lib/pkgconfig:/opt/ffmpeg/lib/pkgconfig:$ENV{PKG_CONFIG_PATH})

# necessary to find openal-soft on mac os
if(APPLE)
  set(ENV{PKG_CONFIG_PATH}
    /usr/local/opt/openal-soft/lib/pkgconfig:$ENV{PKG_CONFIG_PATH})
endif()

execute_process(
  COMMAND brew --prefix qt5
  OUTPUT_VARIABLE QT_PREFIX_PATH
  OUTPUT_STRIP_TRAILING_WHITESPACE)

execute_process(
  COMMAND xcode-select -p
  OUTPUT_VARIABLE CMAKE_OSX_SYSROOT
  OUTPUT_STRIP_TRAILING_WHITESPACE)

set(CMAKE_OSX_DEPLOYMENT_TARGET 10.12)
set(CMAKE_OSX_SYSROOT
  ${CMAKE_OSX_SYSROOT}/Platforms/MacOSX.platform/Developer/SDKs/MacOSX${CMAKE_OSX_DEPLOYMENT_TARGET}.sdk)

project(qtox)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

set(RCC_OPTIONS -compress 9 -threshold 0)

# Use C++11.
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-exceptions")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")

# Hardening flags (ASLR, warnings, etc)
set(POSITION_INDEPENDENT_CODE True)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wstrict-overflow")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wstrict-aliasing")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")

if (NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wstack-protector")
endif()

if (UNIX AND NOT APPLE)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,now")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,relro")
endif()


# Use ccache when available to speed up builds.
if (USE_CCACHE)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    message(STATUS "using ccache")
  else()
    message(STATUS "ccache not found")
  endif()
else()
  message(STATUS "ccache disabled; set option USE_CCACHE=ON to use ccache if available")
endif()

# Search for headers in current directory.
include_directories(${CMAKE_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR})

include(Dependencies)

################################################################################
#
# :: qTox main library sources
#
################################################################################

qt5_wrap_ui(${PROJECT_NAME}_FORMS
  src/chatlog/content/filetransferwidget.ui
  src/loginscreen.ui
  src/mainwindow.ui
  src/widget/about/aboutfriendform.ui
  src/widget/form/loadhistorydialog.ui
  src/widget/form/profileform.ui
  src/widget/form/removefrienddialog.ui
  src/widget/form/setpassworddialog.ui
  src/widget/form/settings/aboutsettings.ui
  src/widget/form/settings/advancedsettings.ui
  src/widget/form/settings/avform.ui
  src/widget/form/settings/generalsettings.ui
  src/widget/form/settings/privacysettings.ui
  src/widget/form/settings/userinterfacesettings.ui)

qt5_add_translation(${PROJECT_NAME}_QM_FILES
  translations/ar.ts
  translations/be.ts
  translations/bg.ts
  translations/cs.ts
  translations/da.ts
  translations/de.ts
  translations/el.ts
  translations/eo.ts
  translations/es.ts
  translations/et.ts
  translations/fa.ts
  translations/fi.ts
  translations/fr.ts
  translations/he.ts
  translations/hr.ts
  translations/hu.ts
  translations/it.ts
  translations/ja.ts
  translations/jbo.ts
  translations/ko.ts
  translations/lt.ts
  translations/mk.ts
  translations/nl.ts
  translations/no_nb.ts
  translations/pl.ts
  translations/pr.ts
  translations/pt.ts
  translations/ro.ts
  translations/ru.ts
  translations/sk.ts
  translations/sl.ts
  translations/sr.ts
  translations/sr_Latn.ts
  translations/sv.ts
  translations/sw.ts
  translations/ta.ts
  translations/tr.ts
  translations/ug.ts
  translations/uk.ts
  translations/zh_CN.ts
  translations/zh_TW.ts
)

qt5_add_resources(
  ${PROJECT_NAME}_RESOURCES
  res.qrc
  ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc
  DEPENDS ${${PROJECT_NAME}_QM_FILES}
  OPTIONS ${RCC_OPTIONS}
)

if(NOT SMILEYS)
  set(SMILEYS "")
endif()

if(NOT "${SMILEYS}" STREQUAL "DISABLED")
  qt5_add_resources(
          ${PROJECT_NAME}_RESOURCES
          smileys/emojione.qrc
          OPTIONS ${RCC_OPTIONS})

  if(NOT "${SMILEYS}" STREQUAL "MIN")
    qt5_add_resources(
            ${PROJECT_NAME}_RESOURCES
            smileys/smileys.qrc
            OPTIONS ${RCC_OPTIONS})
  endif()

endif()

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc.in"
"<!DOCTYPE RCC>
<RCC version=\"1.0\">
  <qresource prefix=\"/translations\">
")
foreach(qm ${${PROJECT_NAME}_QM_FILES})
  get_filename_component(qm_name ${qm} NAME)
  file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc.in"
    "    <file alias=\"${qm_name}\">${qm}</file>\n")
endforeach(qm)
file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc.in"
"  </qresource>
</RCC>
")

execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different
  ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc.in
  ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)

set(${PROJECT_NAME}_SOURCES
  src/audio/audio.cpp
  src/audio/audio.h
  src/audio/backend/openal.cpp
  src/audio/backend/openal.h
  src/audio/iaudiosettings.h
  src/chatlog/chatlinecontent.cpp
  src/chatlog/chatlinecontent.h
  src/chatlog/chatlinecontentproxy.cpp
  src/chatlog/chatlinecontentproxy.h
  src/chatlog/chatline.cpp
  src/chatlog/chatline.h
  src/chatlog/chatlog.cpp
  src/chatlog/chatlog.h
  src/chatlog/chatmessage.cpp
  src/chatlog/chatmessage.h
  src/chatlog/content/filetransferwidget.cpp
  src/chatlog/content/filetransferwidget.h
  src/chatlog/content/image.cpp
  src/chatlog/content/image.h
  src/chatlog/content/notificationicon.cpp
  src/chatlog/content/notificationicon.h
  src/chatlog/content/spinner.cpp
  src/chatlog/content/spinner.h
  src/chatlog/content/text.cpp
  src/chatlog/content/text.h
  src/chatlog/content/timestamp.cpp
  src/chatlog/content/timestamp.h
  src/chatlog/customtextdocument.cpp
  src/chatlog/customtextdocument.h
  src/chatlog/documentcache.cpp
  src/chatlog/documentcache.h
  src/chatlog/pixmapcache.cpp
  src/chatlog/pixmapcache.h
  src/chatlog/textformatter.cpp
  src/chatlog/textformatter.h
  src/core/coreav.cpp
  src/core/coreav.h
  src/core/core.cpp
  src/core/corefile.cpp
  src/core/corefile.h
  src/core/core.h
  src/core/dhtserver.cpp
  src/core/dhtserver.h
  src/core/icoresettings.h
  src/core/recursivesignalblocker.cpp
  src/core/recursivesignalblocker.h
  src/core/toxcall.cpp
  src/core/toxcall.h
  src/core/toxencrypt.cpp
  src/core/toxencrypt.h
  src/core/toxfile.cpp
  src/core/toxfile.h
  src/core/toxid.cpp
  src/core/toxid.h
  src/core/toxlogger.cpp
  src/core/toxlogger.h
  src/core/toxoptions.cpp
  src/core/toxoptions.h
  src/core/toxpk.cpp
  src/core/toxpk.h
  src/core/toxstring.cpp
  src/core/toxstring.h
  src/friendlist.cpp
  src/friendlist.h
  src/grouplist.cpp
  src/grouplist.h
  src/ipc.cpp
  src/ipc.h
  src/model/about/aboutfriend.cpp
  src/model/about/aboutfriend.h
  src/model/about/iaboutfriend.h
  src/model/contact.cpp
  src/model/contact.h
  src/model/friend.cpp
  src/model/friend.h
  src/model/groupinvite.cpp
  src/model/groupinvite.h
  src/model/group.cpp
  src/model/group.h
  src/model/interface.h
  src/model/profile/iprofileinfo.h
  src/model/profile/profileinfo.cpp
  src/model/profile/profileinfo.h
  src/net/avatarbroadcaster.cpp
  src/net/avatarbroadcaster.h
  src/net/toxme.cpp
  src/net/toxme.h
  src/net/toxmedata.cpp
  src/net/toxmedata.h
  src/net/toxuri.cpp
  src/net/toxuri.h
  src/nexus.cpp
  src/nexus.h
  src/persistence/db/rawdatabase.cpp
  src/persistence/db/rawdatabase.h
  src/persistence/history.cpp
  src/persistence/history.h
  src/persistence/ifriendsettings.h
  src/persistence/offlinemsgengine.cpp
  src/persistence/offlinemsgengine.h
  src/persistence/profile.cpp
  src/persistence/profile.h
  src/persistence/profilelocker.cpp
  src/persistence/profilelocker.h
  src/persistence/serialize.cpp
  src/persistence/serialize.h
  src/persistence/settings.cpp
  src/persistence/settings.h
  src/persistence/settingsserializer.cpp
  src/persistence/settingsserializer.h
  src/persistence/smileypack.cpp
  src/persistence/smileypack.h
  src/persistence/toxsave.cpp
  src/persistence/toxsave.h
  src/video/cameradevice.cpp
  src/video/cameradevice.h
  src/video/camerasource.cpp
  src/video/camerasource.h
  src/video/corevideosource.cpp
  src/video/corevideosource.h
  src/video/genericnetcamview.cpp
  src/video/genericnetcamview.h
  src/video/groupnetcamview.cpp
  src/video/groupnetcamview.h
  src/video/ivideosettings.h
  src/video/netcamview.cpp
  src/video/netcamview.h
  src/video/videoframe.cpp
  src/video/videoframe.h
  src/video/videomode.cpp
  src/video/videomode.h
  src/video/videosource.cpp
  src/video/videosource.h
  src/video/videosurface.cpp
  src/video/videosurface.h
  src/widget/about/aboutfriendform.cpp
  src/widget/about/aboutfriendform.h
  src/widget/categorywidget.cpp
  src/widget/categorywidget.h
  src/widget/chatformheader.cpp
  src/widget/chatformheader.h
  src/widget/circlewidget.cpp
  src/widget/circlewidget.h
  src/widget/contentdialog.cpp
  src/widget/contentdialog.h
  src/widget/contentlayout.cpp
  src/widget/contentlayout.h
  src/widget/emoticonswidget.cpp
  src/widget/emoticonswidget.h
  src/widget/flowlayout.cpp
  src/widget/flowlayout.h
  src/widget/searchform.cpp
  src/widget/searchform.h
  src/widget/form/addfriendform.cpp
  src/widget/form/addfriendform.h
  src/widget/form/chatform.cpp
  src/widget/form/chatform.h
  src/widget/form/filesform.cpp
  src/widget/form/filesform.h
  src/widget/form/genericchatform.cpp
  src/widget/form/genericchatform.h
  src/widget/form/groupchatform.cpp
  src/widget/form/groupchatform.h
  src/widget/form/groupinviteform.cpp
  src/widget/form/groupinviteform.h
  src/widget/form/groupinvitewidget.cpp
  src/widget/form/groupinvitewidget.h
  src/widget/form/loadhistorydialog.cpp
  src/widget/form/loadhistorydialog.h
  src/widget/form/profileform.cpp
  src/widget/form/profileform.h
  src/widget/form/setpassworddialog.cpp
  src/widget/form/setpassworddialog.h
  src/widget/form/settings/aboutform.cpp
  src/widget/form/settings/aboutform.h
  src/widget/form/settings/advancedform.cpp
  src/widget/form/settings/advancedform.h
  src/widget/form/settings/avform.cpp
  src/widget/form/settings/avform.h
  src/widget/form/settings/generalform.cpp
  src/widget/form/settings/generalform.h
  src/widget/form/settings/genericsettings.cpp
  src/widget/form/settings/genericsettings.h
  src/widget/form/settings/privacyform.cpp
  src/widget/form/settings/privacyform.h
  src/widget/form/settings/userinterfaceform.h
  src/widget/form/settings/userinterfaceform.cpp
  src/widget/form/settings/verticalonlyscroller.cpp
  src/widget/form/settings/verticalonlyscroller.h
  src/widget/form/settingswidget.cpp
  src/widget/form/settingswidget.h
  src/widget/form/tabcompleter.cpp
  src/widget/form/tabcompleter.h
  src/widget/friendlistlayout.cpp
  src/widget/friendlistlayout.h
  src/widget/friendlistwidget.cpp
  src/widget/friendlistwidget.h
  src/widget/friendwidget.cpp
  src/widget/friendwidget.h
  src/widget/genericchatitemlayout.cpp
  src/widget/genericchatitemlayout.h
  src/widget/genericchatitemwidget.cpp
  src/widget/genericchatitemwidget.h
  src/widget/genericchatroomwidget.cpp
  src/widget/genericchatroomwidget.h
  src/widget/groupwidget.cpp

## qtox 0.0.0+git20150512.r2844-1~trusty+1+7.0trisquel1

=== debian/changelog ===
qtox (0.0.0+git20150512.r2844-1~trusty+1+7.0trisquel1) belenos; urgency=medium

  * Bring Tox to Trisquel from PPA

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 May 2015 11:56:35 +0000

qtox (0.0.0+git20150512.r2844-1~trusty+1) trusty; urgency=medium

  * Building for Trusty

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 14 May 2015 13:12:28 +0000

qtox (0.0.0+git20150512.r2844-1) stable; urgency=medium

  [ kushagra ]
  * Removes chat history of friend when removed, fixes #1486

  [ tux3 ]
  * Fix crash on video calls lowered to audio calls
  * Fix some memory leaks and mismatches

  [ sudden6 ]
  * Add build instructions for openSUSE

  [ tux3 ]
  * Fix small memory leak cleaning up video calls
  * Save memory with lazy loading
  * Avoid unecessary copying of video frames
  * Log size of received avatar data
  * Limit outbound avatar size to 64kB
  * Cleanly open/close FT image preview buffer

  [ Rohil Surana ]
  * Toolicon Menu was not indicating active button

  [ agilob ]
  * ask to remove history
  * fix popup colors
  * closes tux3/qtox#1561

  [ Ilya Kowalewski ]
  * Fixing tray icon visibility issue on OS X
  * Fixing behaviour for a tray icon on OS X
  * Redesign draft for settings pane and proper UX for Mac
  * Resolves issues reported in PR before and some BEAST features:
  * Fixing smiley alignment and wrong copyright years
  * Persistent aliases, finally resolves #697

  [ Ansa89 ]
  * Italian translation: update

  [ sudden6 ]
  * rework the logging and debug output
  * Change log messages to fit new log format
  * remove useless code opencv uses exceptions for error handling

  [ tux3 ]
  * Remove pointless or potentially sensitive log messages

  [ agilob ]
  * closes tux3/qtox#1354

  [ tux3 ]
  * Faster file transfers (up to 160ms/s)

  [ agilob ]
  * closes tux3/qtox#768
  * alsourcef in audio::playmono16sound
  * this sould be better ;_;
  * closes tux3/qtox#1426

  [ saneki ]
  * Changed Public Information area in User Profile form to use a QFormLayout
  * Vertically aligned Public Information QFormLayout to appear more centered

  [ tux3 ]
  * Don't ask to remove history for fake friend removal
  * Fix #928

  [ agilob ]
  * license box in advanced

  [ saneki ]
  * Fixed settings tabbar style

  [ tux3 ]
  * Implement and enable the audio sliders
  * Revert "Merge branch 'pr1629'"
  * Fix vol/mic toggle buttons
  * Fix incorrect copyright headers
  * Fix #1634

  [ Kill Your TV ]
  * New usptream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Wed, 13 May 2015 01:39:15 +0000

qtox (0.0.0+git20150508.r2786-1) stable; urgency=medium

  [ Zetok Zalbavar ]
  * Some style fixes
  * Fix coding style and add copyright header

  [ kushagra ]
  * autocomplete will work for : also,fixes #1377

  [ PKEv ]
  * #1402 duplicate of the sender's name set if interval more 5 minuts, sender
    name repet not tested for group chats!!!

  [ tux3 ]
  * Fix typo in error message
  * Create config directory on first run
  * Remove redundant QString ctor
  * New OS X dock icon from #1541
  * Fix qTox Android build

  [ Fish ]
  * Update fr.ts

  [ Mario Preksavec ]
  * Remove StatusNotifier dependency

  [ novist ]
  * Fixed filter_audio lib windows bootstraping Added qrencode lib to windows
    bootstrap script

  [ Ansa89 ]
  * Italian translation: update

  [ Corey Sheldon ]
  * Update INSTALL.md

  [ Mario Preksavec ]
  * Fallback XFCE detection
  * Update Slackware install instructions
  * Make dropdown menus look better on high dpi
  * Respect configured emoticon size
  * Unhide faux offline messaging checkbox

  [ Rohil Surana ]
  * Added chat room status to window title

  [ Jookia ]
  * Implemented cycling through contacts.
  * Tabs with modifiers are passed up from chat boxes.
  * Add keyboard bindings for cycling contacts.

  [ PKEv ]
  * fix drag and drop in chat history (windows)
  * Add_www_link_possibility

  [ Rohil Surana ]
  * Added tool menu active button indicator.

  [ tux3 ]
  * Make tool buttons inactive when showing profile

  [ Stefan Merettig ]
  * WIP: KSnapshot-like screenshot grabber
  * Screen grabber: Flyout menu for the screenshot button
  * Screen grabber: Wait for the flyout to collapse before grabbing
  * Screen grabber: Moving from button -> flyout -> button doesn't collapse
  * Screen grabber: Remove forced redraw
  * Screen grabber: Don't wait for the flyout to collapse
  * Screen grabber: Modified helper tooltip texts
  * Screen grabber: Reject small selections (< 2px width/height)
  * Screen grabber: Show correct tooltip for selected/no-selection states
  * Screen grabber: Calculate bounding rect, fixes some drawing issues
  * Screen grabber: Fix position of handles with negative selection
  * Screen grabber: Only show flyout if the attach button is enabeld
  * Screen grabber: hide() the flyout at first
  * Screen grabber: Hide mid-animation when leaving file button
  * Screen grabber: Make sure the flyout is hidden on leave
  * Screen grabber: Hide the flyout when the chat form is hidden.
  * Screen grabber: Fix flying-flyout bug when resizing window while open

  [ tux3 ]
  * Use old Qt connect syntax for QTimer::singleShot

  [ kushagra ]
  * Implemented search of contacts

  [ qwad1000 ]
  * Updated Ukrainian translation

  [ tux3 ]
  * Fix fr.ts

  [ llya Kowalewski ]
  * Fixing clang build on OSX
  * Include: complex -> cstdlib

  [ Ansa89 ]
  * Italian translation: update

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Sat, 09 May 2015 20:02:37 +0000

qtox (0.0.0+git20150426.r2712-1) stable; urgency=medium

  [ zero-one ]
  * Adds functionality for sorting FriendWidgets alphabetically in the friends
    list. Widgets are sorted upon being added to the friends list in the first
    place, and re-sorted if a user changes their name, or if a user is given
    an alias.
  * Merges Away, Busy, and Online friend list layouts into a single layout.


=== debian/control ===
Source: qtox
Maintainer: Kill Your TV <killyourtv@i2pmail.org>
Section: net
Priority: optional
Standards-Version: 3.9.6
Homepage: http://utoxisfinished.info/
Build-Depends: debhelper (>= 9)
 ,dh-apparmor
 ,dh-exec
 ,,libappindicator-dev
 ,libfilteraudio-dev (>= 0.0.0+git20150211)
 ,libopenal-dev
 ,libopencv-dev
 ,libqrencode-dev
 ,libqt5opengl5-dev
 ,libqt5svg5-dev
 ,libtoxav-dev (>= 0.0.0+20141129.r2982)
 ,libtoxcore-dev (>= 0.0.0+20140925.1)
 ,libtoxdns-dev
 ,libtoxencryptsave-dev
 ,libxss-dev
 ,qt5-qmake
 ,qtbase5-dev
 ,qttools5-dev-tools
Vcs-Git: git://killyourtv.i2p/git/qTox.git
Vcs-Browser: http://killyourtv.i2p/gitweb/?p=qTox.git;a=shortlog

Package: qtox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: apparmor
Description: Tox client
 Tox is a decentralized and encrypted replacement for Skype, supporting
 chats, audio, and video calls.
 .
 qTox is a graphical Tox client with the following features:
   - one-to-one chat with friends
   - group chats
   - file transfers with image preview
   - audio calls
   - video calls

Package: qtox-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtox (= ${binary:Version}), libtoxcore-dbg,
 libtoxav-dbg, libtoxdns-dbg, libtoxencryptsave-dbg
Description: Tox client - debugging symbols
 Tox is a decentralized and encrypted replacement for Skype, supporting
 chats, audio, and video calls.
 .
 qTox is a graphical Tox client with the following features:
   - one-to-one chat with friends
   - group chats
   - file transfers with image preview
   - audio calls
   - video calls
 .
 This package contains the symbol files for debugging.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=qtox-dbg

override_dh_install:
	dh_install --fail-missing
	cp debian/apparmor/usr.bin.qtox debian/qtox/etc/apparmor.d
	dh_apparmor --profile=usr.bin.qtox -pqtox

## qtox 1.16.3

=== debian/changelog ===
qtox (1.16.3-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:51 +0100

qtox (1.16.3-2) unstable; urgency=medium

  * Backport ec9d9850 to fix CheckAtomic.cmake
  * Backport 6d0885f3 to fix FTBFS on hurd
  * Fix FTBR by setting QT_RCC_SOURCE_DATE_OVERRIDE
  * Fix autopkgtest
  * Bump Standards-Version to 4.3.0
  * Bump debhelper compat to 12

 -- Yangfl <mmyangfl@gmail.com>  Tue, 29 Jan 2019 16:01:45 +0800

qtox (1.16.3-1) unstable; urgency=medium

  * New upstream release
  * Add upstream signing key
  * Backport CheckAtomic.cmake to detect atomic library
  * Try to fix FTBFS on !linux-any by adding build dep libsndio-dev
  * Bump Standards-Version to 4.2.1
  * Add autopkgtest

 -- Yangfl <mmyangfl@gmail.com>  Thu, 08 Nov 2018 20:35:25 +0800

qtox (1.15.0-1) unstable; urgency=medium

  * Initial release (Closes: #788040)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 31 May 2018 13:06:02 +0800

=== debian/control ===
Source: qtox
Section: net
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper (>= 12~),
 cmake (>= 2.8.11),
 check,
 pkg-config,
 qttools5-dev (>= 5.5.0),
 libqt5svg5-dev (>= 5.5.0),
 libqt5opengl5-dev (>= 5.5.0),
 libtoxcore-dev,
 libavdevice-dev (>= 7:2.6.0),
 libopenal-dev (>= 1.16.0),
 libqrencode-dev (>= 3.0.3),
 libsqlcipher-dev (>= 3.2.0),
 libexif-dev,
 libxss-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libgdk-pixbuf2.0-dev,
 libsndio-dev [!linux-any],
Standards-Version: 4.3.0
Homepage: https://qtox.github.io
Vcs-Git: https://salsa.debian.org/yangfl-guest/qTox.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/qTox

Package: qtox
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Powerful Tox client that follows the Tox design guidelines
 qTox is a powerful Tox client that follows the Tox design guidelines while
 running on all major platforms.
 .
 Features:
  * One to one chat with friends
  * Group chats
  * File transfers, with previewing of images
  * Audio calls, including group calls
  * Video calls
  * Tox DNS and Tox URI support
  * Translations in various languages
  * Avatars
  * Faux offline messages
  * History
  * Screenshots
  * Emoticons
  * Auto-updates on Windows and Mac, packages on Linux
  * And many more options!

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qTox-$1.tar.gz%,pgpsigurlmangle=s%$%.asc%" \
   https://github.com/qTox/qTox/releases \
   /download/v\d[\d.]*/v(\d[\d.]*)\.tar\.gz debian uupdate

## qtox 1.17.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,19 @@
+#   Copyright © 2019 by The qTox Project Contributors
+#
+#   This file is part of qTox, a Qt-based graphical interface for Tox.
+#   qTox is libre software: you can redistribute it and/or modify
+#   it under the terms of the GNU General Public License as published by
+#   the Free Software Foundation, either version 3 of the License, or
+#   (at your option) any later version.
+#
+#   qTox is distributed in the hope that it will be useful,
+#   but WITHOUT ANY WARRANTY; without even the implied warranty of
+#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#   GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public License
+#   along with qTox.  If not, see <http://www.gnu.org/licenses/>
+
 ################################################################################
 #
 # :: CMake configuration
@@ -8,13 +24,26 @@
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 option(PLATFORM_EXTENSIONS "Enable platform specific extensions, requires extra dependencies" ON)
-option(USE_FILTERAUDIO "Enable the echo canceling backend" ON)
-# AUTOUPDATE is currently broken and thus disabled
-option(AUTOUPDATE "Enable the auto updater" OFF)
+option(UPDATE_CHECK "Enable automatic update check" ON)
 option(USE_CCACHE "Use ccache when available" ON)
+option(SPELL_CHECK "Enable spell cheching support" ON)
+option(SVGZ_ICON "Compress the SVG icon of qTox" ON)
+option(ASAN "Compile with AddressSanitizer" OFF)
+option(DESKTOP_NOTIFICATIONS "Use snorenotify for desktop notifications" OFF)
+option(STRICT_OPTIONS "Enable strict compile options, used by CI" OFF)
+
+# process generated files if cmake >= 3.10
+if(POLICY CMP0071)
+  cmake_policy(SET CMP0071 NEW)
+endif()
 
 if(NOT CMAKE_BUILD_TYPE)
-  set(CMAKE_BUILD_TYPE Debug)
+  set(CMAKE_BUILD_TYPE Debug CACHE STRING "Options are: None, Debug, Release, RelWithDebInfo, MinSizeRel." FORCE)
+endif()
+
+if(ASAN)
+    set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fno-omit-frame-pointer -fsanitize=address")
+    set (CMAKE_LINKER_FLAGS_DEBUG "${CMAKE_LINKER_FLAGS_DEBUG} -fno-omit-frame-pointer -fsanitize=address")
 endif()
 
 set(ENV{PKG_CONFIG_PATH}
@@ -56,7 +85,18 @@
 set(POSITION_INDEPENDENT_CODE True)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wstrict-overflow")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wstrict-aliasing")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+
+# Extra-strict compile options that we don't want to subject all users to by default
+if (STRICT_OPTIONS)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+endif()
+
+# avoid timestamps in binary for reproducible builds, not added until GCC 4.9
+include(CheckCXXCompilerFlag)
+CHECK_CXX_COMPILER_FLAG(-Wdate-time COMPILER_SUPPORTS_WDATE_TIME)
+if (COMPILER_SUPPORTS_WDATE_TIME)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdate-time")
+endif()
 
 if (NOT WIN32)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
@@ -67,6 +107,8 @@
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,now")
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,relro")
 endif()
+
+include(CheckAtomic)
 
 
 # Use ccache when available to speed up builds.
@@ -88,6 +130,15 @@
 
 include(Dependencies)
 
+if(NOT Qt5Widgets_VERSION VERSION_LESS "5.9")
+  # Drop the file modification time of source files from generated files
+  # to help with reproducible builds. We do not use QFileInfo.lastModified
+  # so this has no unwanted side effects. This mtime started appearing in
+  # Qt 5.8. The option to force the old file format without mtime was
+  # added in Qt 5.9. See https://bugreports.qt.io/browse/QTBUG-58769
+  set(RCC_OPTIONS ${RCC_OPTIONS} -format-version 1)
+endif()
+
 ################################################################################
 #
 # :: qTox main library sources
@@ -102,6 +153,7 @@
   src/widget/form/loadhistorydialog.ui
   src/widget/form/profileform.ui
   src/widget/form/removefrienddialog.ui
+  src/widget/form/searchsettingsform.ui
   src/widget/form/setpassworddialog.ui
   src/widget/form/settings/aboutsettings.ui
   src/widget/form/settings/advancedsettings.ui
@@ -138,6 +190,7 @@
   translations/pl.ts
   translations/pr.ts
   translations/pt.ts
+  translations/pt_BR.ts
   translations/ro.ts
   translations/ru.ts
   translations/sk.ts
@@ -203,9 +256,16 @@
 set(${PROJECT_NAME}_SOURCES
   src/audio/audio.cpp
   src/audio/audio.h
+  src/audio/backend/alsink.cpp
+  src/audio/backend/alsink.h
+  src/audio/backend/alsource.cpp
+  src/audio/backend/alsource.h
   src/audio/backend/openal.cpp
   src/audio/backend/openal.h
   src/audio/iaudiosettings.h
+  src/audio/iaudiocontrol.h
+  src/audio/iaudiosink.h
+  src/audio/iaudiosource.h
   src/chatlog/chatlinecontent.cpp
   src/chatlog/chatlinecontent.h
   src/chatlog/chatlinecontentproxy.cpp
@@ -228,12 +288,16 @@
   src/chatlog/content/text.h
   src/chatlog/content/timestamp.cpp
   src/chatlog/content/timestamp.h
+  src/chatlog/content/broken.cpp
+  src/chatlog/content/broken.h
   src/chatlog/customtextdocument.cpp
   src/chatlog/customtextdocument.h
   src/chatlog/documentcache.cpp
   src/chatlog/documentcache.h
   src/chatlog/pixmapcache.cpp
   src/chatlog/pixmapcache.h
+  src/chatlog/toxfileprogress.cpp
+  src/chatlog/toxfileprogress.h
   src/chatlog/textformatter.cpp
   src/chatlog/textformatter.h
   src/core/coreav.cpp
@@ -245,22 +309,25 @@
   src/core/dhtserver.cpp
   src/core/dhtserver.h
   src/core/icoresettings.h
-  src/core/recursivesignalblocker.cpp
-  src/core/recursivesignalblocker.h
   src/core/toxcall.cpp
   src/core/toxcall.h
   src/core/toxencrypt.cpp
   src/core/toxencrypt.h
   src/core/toxfile.cpp
   src/core/toxfile.h
+  src/core/toxfilepause.h
   src/core/toxid.cpp
   src/core/toxid.h
+  src/core/groupid.cpp
+  src/core/groupid.h
   src/core/toxlogger.cpp
   src/core/toxlogger.h
   src/core/toxoptions.cpp
   src/core/toxoptions.h
   src/core/toxpk.cpp
   src/core/toxpk.h
+  src/core/contactid.cpp
+  src/core/contactid.h
   src/core/toxstring.cpp
   src/core/toxstring.h
   src/friendlist.cpp
@@ -272,24 +339,47 @@
   src/model/about/aboutfriend.cpp
   src/model/about/aboutfriend.h
   src/model/about/iaboutfriend.h
+  src/model/chatroom/chatroom.h
+  src/model/chatroom/friendchatroom.cpp
+  src/model/chatroom/friendchatroom.h
+  src/model/chatroom/groupchatroom.cpp
+  src/model/chatroom/groupchatroom.h
   src/model/contact.cpp
   src/model/contact.h
+  src/model/chatlogitem.cpp
+  src/model/chatlogitem.h
   src/model/friend.cpp
   src/model/friend.h
+  src/model/message.h
+  src/model/message.cpp
+  src/model/imessagedispatcher.h
+  src/model/friendmessagedispatcher.h
+  src/model/friendmessagedispatcher.cpp
+  src/model/groupmessagedispatcher.h
+  src/model/groupmessagedispatcher.cpp
+  src/model/message.h
+  src/model/message.cpp
   src/model/groupinvite.cpp
   src/model/groupinvite.h
   src/model/group.cpp
   src/model/group.h
+  src/model/status.cpp
+  src/model/status.h
   src/model/interface.h
   src/model/profile/iprofileinfo.h
   src/model/profile/profileinfo.cpp
   src/model/profile/profileinfo.h
+  src/model/dialogs/idialogs.h
+  src/model/ichatlog.h
+  src/model/sessionchatlog.h
+  src/model/sessionchatlog.cpp
+  src/model/chathistory.h
+  src/model/chathistory.cpp
+  src/model/toxclientstandards.h
+  src/net/bootstrapnodeupdater.cpp
+  src/net/bootstrapnodeupdater.h
   src/net/avatarbroadcaster.cpp
   src/net/avatarbroadcaster.h
-  src/net/toxme.cpp
-  src/net/toxme.h
-  src/net/toxmedata.cpp
-  src/net/toxmedata.h
   src/net/toxuri.cpp
   src/net/toxuri.h
   src/nexus.cpp
@@ -301,109 +391,8 @@
   src/persistence/ifriendsettings.h
   src/persistence/offlinemsgengine.cpp
   src/persistence/offlinemsgengine.h
+  src/persistence/paths.cpp
+  src/persistence/paths.h
   src/persistence/profile.cpp
   src/persistence/profile.h
   src/persistence/profilelocker.cpp
-  src/persistence/profilelocker.h
-  src/persistence/serialize.cpp
-  src/persistence/serialize.h
-  src/persistence/settings.cpp
-  src/persistence/settings.h
-  src/persistence/settingsserializer.cpp
-  src/persistence/settingsserializer.h
-  src/persistence/smileypack.cpp
-  src/persistence/smileypack.h
-  src/persistence/toxsave.cpp
-  src/persistence/toxsave.h
-  src/video/cameradevice.cpp
-  src/video/cameradevice.h
-  src/video/camerasource.cpp
-  src/video/camerasource.h
-  src/video/corevideosource.cpp
-  src/video/corevideosource.h
-  src/video/genericnetcamview.cpp
-  src/video/genericnetcamview.h
-  src/video/groupnetcamview.cpp
-  src/video/groupnetcamview.h
-  src/video/ivideosettings.h
-  src/video/netcamview.cpp
-  src/video/netcamview.h
-  src/video/videoframe.cpp
-  src/video/videoframe.h
-  src/video/videomode.cpp
-  src/video/videomode.h
-  src/video/videosource.cpp
-  src/video/videosource.h
-  src/video/videosurface.cpp
-  src/video/videosurface.h
-  src/widget/about/aboutfriendform.cpp
-  src/widget/about/aboutfriendform.h
-  src/widget/categorywidget.cpp
-  src/widget/categorywidget.h
-  src/widget/chatformheader.cpp
-  src/widget/chatformheader.h
-  src/widget/circlewidget.cpp
-  src/widget/circlewidget.h
-  src/widget/contentdialog.cpp
-  src/widget/contentdialog.h
-  src/widget/contentlayout.cpp
-  src/widget/contentlayout.h
-  src/widget/emoticonswidget.cpp
-  src/widget/emoticonswidget.h
-  src/widget/flowlayout.cpp
-  src/widget/flowlayout.h
-  src/widget/searchform.cpp
-  src/widget/searchform.h
-  src/widget/form/addfriendform.cpp
-  src/widget/form/addfriendform.h
-  src/widget/form/chatform.cpp
-  src/widget/form/chatform.h
-  src/widget/form/filesform.cpp
-  src/widget/form/filesform.h
-  src/widget/form/genericchatform.cpp
-  src/widget/form/genericchatform.h
-  src/widget/form/groupchatform.cpp
-  src/widget/form/groupchatform.h
-  src/widget/form/groupinviteform.cpp
-  src/widget/form/groupinviteform.h
-  src/widget/form/groupinvitewidget.cpp
-  src/widget/form/groupinvitewidget.h
-  src/widget/form/loadhistorydialog.cpp
-  src/widget/form/loadhistorydialog.h
-  src/widget/form/profileform.cpp
-  src/widget/form/profileform.h
-  src/widget/form/setpassworddialog.cpp
-  src/widget/form/setpassworddialog.h
-  src/widget/form/settings/aboutform.cpp
-  src/widget/form/settings/aboutform.h
-  src/widget/form/settings/advancedform.cpp
-  src/widget/form/settings/advancedform.h
-  src/widget/form/settings/avform.cpp
-  src/widget/form/settings/avform.h
-  src/widget/form/settings/generalform.cpp
-  src/widget/form/settings/generalform.h
-  src/widget/form/settings/genericsettings.cpp
-  src/widget/form/settings/genericsettings.h
-  src/widget/form/settings/privacyform.cpp
-  src/widget/form/settings/privacyform.h
-  src/widget/form/settings/userinterfaceform.h
-  src/widget/form/settings/userinterfaceform.cpp
-  src/widget/form/settings/verticalonlyscroller.cpp
-  src/widget/form/settings/verticalonlyscroller.h
-  src/widget/form/settingswidget.cpp
-  src/widget/form/settingswidget.h
-  src/widget/form/tabcompleter.cpp
-  src/widget/form/tabcompleter.h
-  src/widget/friendlistlayout.cpp
-  src/widget/friendlistlayout.h
-  src/widget/friendlistwidget.cpp
-  src/widget/friendlistwidget.h
-  src/widget/friendwidget.cpp
-  src/widget/friendwidget.h
-  src/widget/genericchatitemlayout.cpp
-  src/widget/genericchatitemlayout.h
-  src/widget/genericchatitemwidget.cpp
-  src/widget/genericchatitemwidget.h
-  src/widget/genericchatroomwidget.cpp
-  src/widget/genericchatroomwidget.h
-  src/widget/groupwidget.cpp

=== debian/changelog ===
qtox (1.17.2-1) unstable; urgency=medium

  * New upstream release (Closes: #959699)
    + Add AppArmor profile (Closes: #918138)
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat to 13
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Wed, 06 May 2020 02:53:32 +0800

## qtox 1.17.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,15 +59,6 @@
   COMMAND brew --prefix qt5
   OUTPUT_VARIABLE QT_PREFIX_PATH
   OUTPUT_STRIP_TRAILING_WHITESPACE)
-
-execute_process(
-  COMMAND xcode-select -p
-  OUTPUT_VARIABLE CMAKE_OSX_SYSROOT
-  OUTPUT_STRIP_TRAILING_WHITESPACE)
-
-set(CMAKE_OSX_DEPLOYMENT_TARGET 10.12)
-set(CMAKE_OSX_SYSROOT
-  ${CMAKE_OSX_SYSROOT}/Platforms/MacOSX.platform/Developer/SDKs/MacOSX${CMAKE_OSX_DEPLOYMENT_TARGET}.sdk)
 
 project(qtox)
 
@@ -396,3 +387,12 @@
   src/persistence/profile.cpp
   src/persistence/profile.h
   src/persistence/profilelocker.cpp
+  src/persistence/profilelocker.h
+  src/persistence/serialize.cpp
+  src/persistence/serialize.h
+  src/persistence/settings.cpp
+  src/persistence/settings.h
+  src/persistence/settingsserializer.cpp
+  src/persistence/settingsserializer.h
+  src/persistence/smileypack.cpp
+  src/persistence/smileypack.h

=== debian/changelog ===
qtox (1.17.3-1) unstable; urgency=medium

  * New upstream release
  * Add AppArmor profile (Closes: #918138)

 -- Yangfl <mmyangfl@gmail.com>  Sun, 21 Feb 2021 23:14:42 +0800

qtox (1.17.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream changes to fix build with Qt 5.15.
  * Run cmake with -Wno-dev in the autopkgtest (closes: #973540).
  * Fix Lintian duplicate-globbing-patterns error.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Nov 2020 15:09:24 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 13),
  cmake (>= 2.8.11),
  check,
  pkg-config,
@@ -20,8 +20,10 @@
  libglib2.0-dev,
  libgtk2.0-dev,
  libgdk-pixbuf2.0-dev,
+ libkf5sonnet-dev,
  libsndio-dev [!linux-any],
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://qtox.github.io
 Vcs-Git: https://salsa.debian.org/yangfl-guest/qTox.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/qTox

## qtox 1.17.4

=== debian/changelog ===
qtox (1.17.4-1build1) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Mar 2022 15:18:41 +0100

qtox (1.17.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Yangfl <mmyangfl@gmail.com>  Tue, 21 Dec 2021 15:55:38 +0800

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libkf5sonnet-dev,
  libsndio-dev [!linux-any],
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://qtox.github.io
 Vcs-Git: https://salsa.debian.org/yangfl-guest/qTox.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/qTox

## qtox 1.17.6

=== debian/changelog ===
qtox (1.17.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Configure with -DCMAKE_POLICY_VERSION_MINIMUM=3.5.
    (Closes: #1113452)

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Nov 2025 16:00:26 -0500

qtox (1.17.6-2) unstable; urgency=medium

  * Add allow-stderr for autopkgtest
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Sat, 29 Mar 2025 13:32:56 +0800

qtox (1.17.6-1) unstable; urgency=medium

  * Fix FTBFS with ffmpeg 7.0 (Closes: #1072447)
  * Add nvidia abstraction to AppArmor profile (Closes: #1022250)
  * Hotfix exploit with notifications (Closes: #1054638)
  * Bump Standards-Version to 4.7.0

 -- Yangfl <mmyangfl@gmail.com>  Wed, 28 Aug 2024 14:08:04 +0800

qtox (1.17.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Compatibility with FFmpeg 5.0 (Closes: #1004815).
  * Exclude unused build dependencies, libglib2.0-dev, libgtk2.0-dev,
    libgdk-pixbuf-2.0-dev (Closes: #967718).

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 28 Jun 2022 21:53:37 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  cmake (>= 2.8.11),
  check,
- pkg-config,
+ pkgconf,
  qttools5-dev (>= 5.5.0),
  libqt5svg5-dev (>= 5.5.0),
  libqt5opengl5-dev (>= 5.5.0),
@@ -17,13 +17,10 @@
  libsqlcipher-dev (>= 3.2.0),
  libexif-dev,
  libxss-dev,
- libglib2.0-dev,
- libgtk2.0-dev,
- libgdk-pixbuf2.0-dev,
  libkf5sonnet-dev,
  libsndio-dev [!linux-any],
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://qtox.github.io
 Vcs-Git: https://salsa.debian.org/yangfl-guest/qTox.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/qTox

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND  =

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@

override_dh_auto_configure:
	# They made ccache invoke itself recursively
	dh_auto_configure -- \
		-DUSE_CCACHE=OFF \
		-DUPDATE_CHECK=OFF \
		-DGIT_DESCRIBE='v$(DEB_VERSION)-debian' \
		-DGIT_VERSION='build without git' \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DTIMESTAMP='(disabled)'
#		-DDESKTOP_NOTIFICATIONS=ON \

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qTox-$1.tar.gz%,pgpsigurlmangle=s%$%.asc%" \
  https://github.com/qTox/qTox/releases \
  (?:.*?/)?v\d[\d.]*/v(\d[\d.]*)\.tar\.gz

## qtox 1.18.3

=== debian/changelog ===
qtox (1.18.3-2) unstable; urgency=medium

  * Depend on qt6-svg-plugins to fix missing icons

 -- Yangfl <mmyangfl@gmail.com>  Sun, 18 Jan 2026 19:52:26 +0800

qtox (1.18.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1124081)
    - Fix autopkgtest failure with CMake 4 (Closes: #1125670)
  * Bump Standards-Version to 4.7.3

 -- Yangfl <mmyangfl@gmail.com>  Sat, 17 Jan 2026 15:57:03 +0800

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: qtox
 Section: net
-Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- cmake (>= 2.8.11),
+ cmake (>= 3.10),
  check,
- pkgconf,
- qttools5-dev (>= 5.5.0),
- libqt5svg5-dev (>= 5.5.0),
- libqt5opengl5-dev (>= 5.5.0),
- libtoxcore-dev,
+ pkgconf (>= 0.28),
+ qt6-svg-dev (>= 6.2.0),
+ qt6-tools-dev (>= 6.2.0),
+ libtoxcore-dev (>= 0.2.20),
  libavdevice-dev (>= 7:2.6.0),
  libopenal-dev (>= 1.16.0),
  libqrencode-dev (>= 3.0.3),
  libsqlcipher-dev (>= 3.2.0),
  libexif-dev,
  libxss-dev,
- libkf5sonnet-dev,
- libsndio-dev [!linux-any],
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+ libkf6sonnet-dev,
+ libv4l-dev,
+Standards-Version: 4.7.3
 Homepage: https://qtox.github.io
 Vcs-Git: https://salsa.debian.org/yangfl-guest/qTox.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/qTox
 
 Package: qtox
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ qt6-svg-plugins,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Architecture: any
 Description: Powerful Tox client that follows the Tox design guidelines
  qTox is a powerful Tox client that follows the Tox design guidelines while

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,7 @@
 	dh_auto_configure -- \
 		-DUSE_CCACHE=OFF \
 		-DUPDATE_CHECK=OFF \
+		-DREPR_RCC=ON \
+		-DGIT_VERSION='build without git' \
 		-DGIT_DESCRIBE='v$(DEB_VERSION)-debian' \
-		-DGIT_VERSION='build without git' \
-		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
-		-DTIMESTAMP='(disabled)'
-#		-DDESKTOP_NOTIFICATIONS=ON \
+		-DGIT_DESCRIBE_EXACT='Debian'

=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/TokTok/qTox/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%api.github.com/repos/([^/]+/[^/]+)/git/refs/tags/@ANY_VERSION@%github.com/$1/releases/download/v$2/v$2.tar.xz%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.xz%
Search-Mode: plain
Pgp-Sig-Url-Mangle: s%$%.asc%

## qtox 201706231820~v1.6.0mx17+1

=== debian/changelog ===
qtox (201706231820~v1.6.0mx17+1) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 02 Jul 2017 21:59:40 -0400

qtox (201706231820~v1.6.0) unstable; urgency=low

  * Build last stable version from git (@5648106b34fc7dc3ad4e169651a0cbbd0139170a)

 -- Anton Batenev <antonbatenev@yandex.ru>  Fri, 23 Jun 2017 18:20:51 +0300

=== debian/control ===
Source: qtox
Section: net
Priority: optional
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1), lsb-release, gcc (>=4:4.8) | tox-gcc, libgcc1, zlib1g-dev, libbz2-dev,
 libxss-dev, libglib2.0-dev, libqrencode-dev, libgtk2.0-dev, libgdk-pixbuf2.0-dev, libopenal-dev, libssl-dev, libx11-dev, libxext-dev, libxfixes-dev,
 tox-libtoxcore-dev,
 libvpx-dev | tox-libvpx-dev,
 libopus-dev | tox-libopus-dev,
 libsqlcipher-dev (>= 3.2.0) | tox-sqlcipher-dev,
 libsodium-dev (>= 0.5.0) | tox-libsodium-dev,
 libavdevice-dev (>= 7:2.6.0) | tox-ffmpeg-dev,
 libavfilter-dev (>= 7:2.6.0) | tox-ffmpeg-dev,
 libswscale-dev (>= 7:2.6.0) | tox-ffmpeg-dev,
 libpostproc-dev (>= 7:2.6.0) | tox-ffmpeg-dev,
 libavformat-dev (>= 7:2.6.0) | tox-ffmpeg-dev,
 libavcodec-dev (>= 7:2.6.0) | tox-ffmpeg-dev,
 libswresample-dev (>= 7:2.6.0) | tox-ffmpeg-dev,
 libavutil-dev (>= 7:2.6.0) | tox-ffmpeg-dev,
 qtbase5-dev (>= 5.3.0) | tox-qt5-dev,
 qttools5-dev-tools (>= 5.3.0) | tox-qt5-dev,
 libqt5svg5-dev (>= 5.3.0) | tox-qt5-dev,
 libqt5opengl5-dev (>= 5.3.0) | tox-qt5-dev,
 libudev-dev,
 libdbus-1-dev,
 libdbusmenu-glib-dev,
 libappindicator-dev,
 libicu-dev,
 libsqlite3-dev,
 libjpeg-dev,
 libmng-dev,
 libwebp-dev,
 libtiff-dev,
 libmtdev-dev,
 libgl1-mesa-dev,
 libegl1-mesa-dev,
 libx11-xcb-dev,
 libxcb-glx0-dev,
 libxcb-sync0-dev,
 libxcb-image0-dev,
 libxcb-icccm4-dev,
 libxcb-randr0-dev,
 libxcb-shape0-dev,
 libxcb-xfixes0-dev,
 libxcb-keysyms1-dev,
 libxcb-xinerama0-dev,
 libxcb-render-util0-dev
Maintainer: Anton Batenev <antonbatenev@yandex.ru>
Standards-Version: 3.9.4
Homepage: https://github.com/qTox/qTox

Package: qtox
Conflicts: qtox-alpha
Provides: qtox
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Powerful Tox client
 Powerful Tox client that follows the Tox design guidelines.
 Tox is a decentralized and encrypted replacement for Skype, supporting
 chats, audio, and video calls.

Package: qtox-dbg
Section: debug
Priority: extra
Depends: qtox (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Debug symbols for qTox
 Powerful Tox client that follows the Tox design guidelines.
 Tox is a decentralized and encrypted replacement for Skype, supporting
 chats, audio, and video calls.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PROJECT    = tox
NAME       = qtox
PREFIX     = /usr
LIBDIR     = $(PREFIX)/$(PROJECT)/lib
INCLUDEDIR = $(PREFIX)/$(PROJECT)/include
QMAKE_LIBS = -L$(LIBDIR) -lavfilter -lswresample -lpostproc
DESTDIR    = $(shell pwd)/debian/tmp
DISTRONAME = $(shell /usr/bin/lsb_release --id --short)
CODENAME   = $(shell /usr/bin/lsb_release --codename --short)

ifneq (,$(filter Ubuntu, $(DISTRONAME)))
    QMAKE_FLAGS = ENABLE_SYSTRAY_UNITY_BACKEND=YES
else
    QMAKE_FLAGS = ENABLE_SYSTRAY_UNITY_BACKEND=NO
endif

ifneq (,$(filter wheezy, $(CODENAME)))
    GCC_DIR     = $(PREFIX)/$(PROJECT)
    QMAKE_CC    = $(GCC_DIR)/bin/gcc
    QMAKE_CXX   = $(GCC_DIR)/bin/g++
    QMAKE_LIBS += -L$(GCC_DIR)/lib -L$(GCC_DIR)/lib64 -latomic
else
    QMAKE_CC  = $(CC)
    QMAKE_CXX = $(CXX)
endif

ifneq (,$(filter wheezy trusty, $(CODENAME)))
    QMAKE = $(PREFIX)/$(PROJECT)/bin/qmake
else
    QMAKE = qmake
endif

export QT_SELECT=5

override_dh_auto_configure:
	mv qTox.desktop qtox.desktop

	debian/patch.sh

	$(QMAKE) $(QMAKE_FLAGS) \
		"QMAKE_CPPFLAGS *= $(shell dpkg-buildflags --get CPPFLAGS)" \
		"QMAKE_CFLAGS   *= $(shell dpkg-buildflags --get CFLAGS)"   \
		"QMAKE_CXXFLAGS *= $(shell dpkg-buildflags --get CXXFLAGS)" \
		"QMAKE_LFLAGS   *= $(shell dpkg-buildflags --get LDFLAGS)"  \
		"LIBS           *= $(QMAKE_LIBS)"                           \
		"INCLUDEPATH    *= $(INCLUDEDIR)"                           \
		"QMAKE_CC        = $(QMAKE_CC)"                             \
		"QMAKE_CXX       = $(QMAKE_CXX)"                            \
		qtox.pro

override_dh_auto_test:
	/bin/true

override_dh_auto_install:
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/applications

	install -m755 $(NAME)         $(DESTDIR)/usr/bin/$(NAME)
	install -m644 $(NAME).desktop $(DESTDIR)/usr/share/applications/$(NAME).desktop

	debian/icons.sh $(NAME) $(DESTDIR)

override_dh_strip:
	dh_strip --dbg-package=qtox-dbg

override_dh_shlibdeps:
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(LIBDIR) dh_shlibdeps

%:
	dh $@ --parallel
